/* Displays information about all the Indexing Service scopes found on the local computer. */
objAdminIS = CreateComObject("Microsoft.ISAdm")
IF objAdminIS~FindFirstCatalog() = 0 THEN DO
    objCatAdm = objAdminIS~GetCatalog()
    objScopeAdm = objCatAdm~GetScope()
    SAY "Alias:" objScopeAdm~Alias
    SAY "Exclude scope:" objScopeAdm~ExcludeScope
    SAY "Logon:" objScopeAdm~Logon
    SAY "Path:" objScopeAdm~Path
    SAY "Virtual scope:" objScopeAdm~VirtualScope

    DO WHILE objAdminIS~FindNextCatalog() = 0
        objCatAdm = objAdminIS.GetCatalog()
        objScopeAdm = objCatAdm~GetScope()
        SAY "Alias:" objScopeAdm~Alias
        SAY "Exclude scope:" objScopeAdm~ExcludeScope
        SAY "Logon:" objScopeAdm~Logon
        SAY "Path:" objScopeAdm~Path
        SAY "Virtual scope:" objScopeAdm~VirtualScope
    END
END
