/* Returns a list of startup options for a computer, including the startup delay time and other information found in Boot.ini */
strComputer = "."
objWMIService = GetObject("winmgmts:{impersonationLevel=impersonate}!\\" || strComputer || "\root\cimv2")
colStartupCommands = objWMIService~ExecQuery("Select * from Win32_ComputerSystem")
DO objStartupCommand OVER colStartupCommands
	SAY "Reset Boot Enabled:" objStartupCommand~AutomaticResetBootOption
	SAY "Reset Boot Possible:" objStartupCommand~AutomaticResetCapability
	SAY "Boot State:" objStartupCommand~BootupState
	SAY "Startup Delay:" objStartupCommand~SystemStartupDelay
	opts. = objStartupCommand~SystemStartupOptions
	DO i OVER opts.
		SAY "Startup Options:" VALUE("OPTS." || i)
	END
	SAY "Startup Setting:" objStartupCommand~SystemStartupSetting
END